%bcond_with docs

Summary:        Flatpak portal library
Name:           libportal
Version:        0.6
Release:        4%{?dist}
License:        LGPLv3
Url:            https://github.com/flatpak/libportal
Source0:        https://github.com/flatpak/libportal/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  gcc gcc-c++ meson
%if 0%{with docs}
BuildRequires:  gi-docgen
%endif
BuildRequires:  vala git 
BuildRequires:  pkgconfig(gtk+-3.0) pkgconfig(gtk4)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0) pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(Qt5Core) pkgconfig(Qt5Gui) pkgconfig(Qt5Widgets) pkgconfig(Qt5X11Extras)

Patch0001:      0.6-backports.patch

%description
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

%package gtk3
Summary: GTK+ 3 libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description gtk3
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK+ 3 and %{name}.

%package gtk4
Summary: GTK 4 libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description gtk4
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for GTK 4 and %{name}.

%package qt5
Summary: Qt5 libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description qt5
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for Qt 5 and %{name}.

%package devel
Summary: Development files and libraries for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with %{name}.

%package gtk3-devel
Summary: GTK+ 3 development files and libraries for %{name}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gtk3 = %{version}-%{release}

%description gtk3-devel
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK+ 3 and %{name}.

%package gtk4-devel
Summary: GTK 4 development files and libraries for %{name}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-gtk4 = %{version}-%{release}

%description gtk4-devel
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with GTK 4 and %{name}.

%package qt5-devel
Summary: Qt 5 development files and libraries for %{name}
Requires: %{name}-devel = %{version}-%{release}
Requires: %{name}-qt5 = %{version}-%{release}

%description qt5-devel
%{name} provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides files for development with Qt 5 and %{name}.

%if 0%{with docs}
%package devel-doc
Summary: Development documentation for libportal
Recommends: gi-docgen-fonts
BuildArch: noarch

%description devel-doc
libportal provides GIO-style asynchronous APIs for most Flatpak portals.

This package provides development documentations for libportal.
%endif


%prep
%autosetup -p1 -S git_am


%build
%meson \
%if 0%{without docs}
    -Ddocs=false
%endif

%meson_build


%install
%meson_install


%files
%license COPYING
%doc README.md NEWS
%{_libdir}/girepository-1.0/Xdp-1.0.typelib
%{_libdir}/libportal.so.1*

%files gtk3
%{_libdir}/girepository-1.0/XdpGtk3-1.0.typelib
%{_libdir}/libportal-gtk3.so.1*

%files gtk4
%{_libdir}/girepository-1.0/XdpGtk4-1.0.typelib
%{_libdir}/libportal-gtk4.so.1*

%files qt5
%{_libdir}/libportal-qt5.so.1*

%files devel
%{_datadir}/gir-1.0/Xdp-1.0.gir
%{_datadir}/vala/vapi/libportal.deps
%{_datadir}/vala/vapi/libportal.vapi
%{_includedir}/libportal
%{_libdir}/libportal.so
%{_libdir}/pkgconfig/libportal.pc

%files gtk3-devel
%{_datadir}/gir-1.0/XdpGtk3-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk3.deps
%{_datadir}/vala/vapi/libportal-gtk3.vapi
%{_includedir}/libportal-gtk3
%{_libdir}/libportal-gtk3.so
%{_libdir}/pkgconfig/libportal-gtk3.pc

%files gtk4-devel
%{_datadir}/gir-1.0/XdpGtk4-1.0.gir
%{_datadir}/vala/vapi/libportal-gtk4.deps
%{_datadir}/vala/vapi/libportal-gtk4.vapi
%{_includedir}/libportal-gtk4
%{_libdir}/libportal-gtk4.so
%{_libdir}/pkgconfig/libportal-gtk4.pc

%files qt5-devel
%{_includedir}/libportal-qt5
%{_libdir}/libportal-qt5.so
%{_libdir}/pkgconfig/libportal-qt5.pc

%if 0%{with docs}
%files devel-doc
%{_datadir}/doc/libportal-1
%endif

%changelog
* Wed Jan 17 2024 Rebuild Robot <rebot@opencloudos.org> - 0.6-4
- Rebuilt for glib2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 31 2023 Miaojun Dong <zoedong@tencent.com> - 0.6-1
- initial build
